Skip to main content
GET
/
v3
/
redemptions
/
items
/
{redemptionItem}
Read Redemption Item
curl --request GET \
  --url https://api.{tenant}.getomneo.com/api/v3/redemptions/items/{redemptionItem}
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/redemptions/items/{redemptionItem}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.{tenant}.getomneo.com/api/v3/redemptions/items/{redemptionItem}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "type": "<string>",
    "value": 123,
    "count": 123,
    "type_attributes": {
      "id": 123,
      "profile_id": "<string>",
      "creator_profile_id": "<string>",
      "staff_id": "<string>",
      "location_id": 123,
      "name": "<string>",
      "credit_definition_id": 123,
      "timezone": "<string>",
      "recipient_first_name": "<string>",
      "recipient_email": "<string>",
      "message": "<string>",
      "issued_at": "<string>",
      "expires_at": "<string>",
      "released_at": "<string>",
      "extended_at": "<string>",
      "value_initial": "<string>",
      "value_remaining": "<string>",
      "external_id": "<string>",
      "external_namespace": "<string>",
      "credit_number": "<string>",
      "security_code": "<string>",
      "source_id": 123,
      "source_type": "<string>",
      "locked": true,
      "lock_expires_at": "<string>",
      "has_notified_issue": true,
      "has_notified_expiry": true,
      "has_notified_release": true,
      "has_notified_remind": true,
      "has_notified_extend": true,
      "meta": [
        "<unknown>"
      ],
      "is_imported": true,
      "is_system_generated": true,
      "created_at": "<string>",
      "updated_at": "<string>",
      "definition": {
        "id": 123,
        "name": "<string>",
        "handle": "<string>",
        "region_id": 123,
        "region": {
          "id": 123,
          "name": "<string>",
          "handle": "<string>"
        },
        "timezone": "<string>",
        "period": 123,
        "period_type": "<string>",
        "absolute_expiry": "<string>",
        "release_period": 123,
        "release_period_type": "<string>",
        "release_period_absolute_expiry": "<string>",
        "is_published": true,
        "is_archived": true,
        "icon": "<string>",
        "image_url": "<string>",
        "primary_colour": "<string>",
        "secondary_colour": "<string>",
        "description": "<string>",
        "internal_notes": "<string>",
        "short_description": "<string>",
        "long_description": "<string>",
        "terms_conditions": "<string>",
        "earn_instructions": "<string>",
        "meta": [
          "<unknown>"
        ],
        "type": "<string>",
        "value": 123,
        "max_value": 123,
        "currency_id": 123,
        "currency": "<string>",
        "require_creator": true,
        "require_assigned": true,
        "is_extendable": true,
        "is_assignable": true,
        "is_releasable": true,
        "is_reassignable": true,
        "require_security_code": true,
        "extend_days": 123,
        "credit_number_range_type": "<string>",
        "credit_number_range_start": "<string>",
        "credit_number_range_end": "<string>",
        "credit_number_length": 123,
        "security_code_type": "<string>",
        "use_custom_numbers": true,
        "notify_schedule_offset": 123,
        "issue_target_id": 123,
        "expiry_target_id": 123,
        "release_target_id": 123,
        "remind_target_id": 123,
        "extend_target_id": 123,
        "notify_issue_offset_days": 123,
        "notify_issue_offset_hour": 123,
        "notify_remind_offset_days": 123,
        "notify_remind_offset_hour": 123,
        "tags": [
          "<string>"
        ],
        "created_at": "<string>",
        "updated_at": "<string>",
        "custom_fields": [
          {
            "name": "<string>",
            "handle": "<string>",
            "namespace": "<string>",
            "value": "<string>",
            "type": "<string>",
            "custom_fieldable_type": "<string>",
            "custom_fieldable_id": "<string>",
            "created_at": "<string>",
            "updated_at": "<string>",
            "is_index": "<string>"
          }
        ]
      }
    },
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Path Parameters

redemptionItem
integer
required

The redemption item ID

Response

RedemptionItem

data
RedemptionItem · object
required